Distributor - Create
curl --request POST \
--url https://api.skulabs.com/distributor/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"name": "Acme Supplies",
"email": "contact@acme.com",
"phone": "<string>",
"address": {
"street": "<string>",
"street_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"terms": "<string>",
"shipping": "<string>",
"memo": "<string>",
"notes": "<string>",
"warehouse_id": "507f1f77bcf86cd799439011",
"location_id": "507f1f77bcf86cd799439011"
}
}
'import requests
url = "https://api.skulabs.com/distributor/create"
payload = { "data": {
"name": "Acme Supplies",
"email": "contact@acme.com",
"phone": "<string>",
"address": {
"street": "<string>",
"street_2": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"country": "<string>"
},
"terms": "<string>",
"shipping": "<string>",
"memo": "<string>",
"notes": "<string>",
"warehouse_id": "507f1f77bcf86cd799439011",
"location_id": "507f1f77bcf86cd799439011"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
name: 'Acme Supplies',
email: 'contact@acme.com',
phone: '<string>',
address: {
street: '<string>',
street_2: '<string>',
city: '<string>',
state: '<string>',
zip: '<string>',
country: '<string>'
},
terms: '<string>',
shipping: '<string>',
memo: '<string>',
notes: '<string>',
warehouse_id: '507f1f77bcf86cd799439011',
location_id: '507f1f77bcf86cd799439011'
}
})
};
fetch('https://api.skulabs.com/distributor/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"_id": "507f1f77bcf86cd799439011"
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Distributor
Distributor - Create
Create a new distributor with contact details and address.
POST
/
distributor
/
create
Distributor - Create
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Supplier data to create
Show child attributes
Show child attributes
⌘I